Skip to content
Developer

LocationType

Locations and bookings5 EndpointsEvent / LocationType

This method will get all BaseLocationLocationType Objects

GET/api/event/location_type

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived
namestring
viewOrderinteger
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of BaseLocationLocationType objectsarray<BaseLocationLocationType>

Show fields (6)
  • idstring

    Identifier of the location type. For example room or hall.

  • namestring

    Name of the location type.

  • view_orderinteger

    Sort order of the location type in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/location_type \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": "42",
    "name": "Beispiel",
    "view_order": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  }
]

Add a new BaseLocationLocationType

POST/api/event/location_type

Request body application/json

  • dataBaseLocationLocationType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new BaseLocationLocationTypeBaseLocationLocationType

Show fields (6)
  • idstring

    Identifier of the location type. For example room or hall.

  • namestring

    Name of the location type.

  • view_orderinteger

    Sort order of the location type in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/location_type \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

This method will get a single BaseLocationLocationType with the given id

GET/api/event/location_type/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single BaseLocationLocationTypeBaseLocationLocationType

Show fields (6)
  • idstring

    Identifier of the location type. For example room or hall.

  • namestring

    Name of the location type.

  • view_orderinteger

    Sort order of the location type in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/location_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a BaseLocationLocationType

PUT/api/event/location_type/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseLocationLocationType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseLocationLocationTypeBaseLocationLocationType

Show fields (6)
  • idstring

    Identifier of the location type. For example room or hall.

  • namestring

    Name of the location type.

  • view_orderinteger

    Sort order of the location type in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/location_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a BaseLocationLocationType

PATCH/api/event/location_type/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataBaseLocationLocationType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a BaseLocationLocationTypeBaseLocationLocationType

Show fields (6)
  • idstring

    Identifier of the location type. For example room or hall.

  • namestring

    Name of the location type.

  • view_orderinteger

    Sort order of the location type in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/location_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": "42",
  "name": "Beispiel",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}